Installation with numbers in FQDN fails.
Description

If I want to install and use the name just.anexample.123 the installation fails because the proxy is not found.

If I call the website with it I get a 400 error.

But if I enter the ip I can call the website.

Log:

Foreman_smartproxy[just.anexample.123](provider=rest_v3): Making get request to 

https://just.anexample.123/api/v2/smart_proxies?search=name=%22just.anexample.123%22

[DEBUG 2019-06-25T14:22:13 main]  Foreman_smartproxy[just.anexample.123](provider=rest_v3): Received response 400 from

request to https://just.anexample.123/api/v2/smart_proxies?search=name=%22just.anexample.123%22

[ERROR 2019-06-25T14:22:13 main]  /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[orcha.rhino.441]: Could not

evaluate: Proxy just.anexample.123 cannot be retrieved: unknown error (response 400)

History

#1 - 05/14/2020 01:59 PM - Zach Huntington-Meath

Using numbers as a top level domain is not generally supported. If you still have a log from the foreman server would you mind posting it?

#2 - 05/18/2020 01:03 PM - Richard Stempfl

Zach Huntington-Meath wrote:

Using numbers as a top level domain is not generally supported. If you still have a log from the foreman server would you mind posting it?

 I have generated a new one. What part do you need?

#3 - 12/14/2020 06:34 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

It's illegal data according to RFCs so this isn't really something that should be supported. Patches to support this may be accepted, but this is not a

valid bug report.
